package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ExcecaoGrupoContrato;

public class RenderExcecaoGrupoContrato implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
    	ExcecaoGrupoContrato excecao = (ExcecaoGrupoContrato) o;
    	
    	SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy");

    	Listcell lc = new Listcell(f.format(excecao.getDataInicial()));
        lc.setParent(lstm);
        
        lc = new Listcell(f.format(excecao.getDataFinal()));
        lc.setParent(lstm);
    	
        lc = new Listcell(excecao.getClaseServicio().getDescclase());
        lc.setParent(lstm);

        lc = new Listcell(excecao.getTarifa().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(excecao.getOrigem().getCveparada());
        lc.setParent(lstm);
        
        lc = new Listcell(excecao.getOrigem().getDescparada());
        lc.setParent(lstm);
        
        lc = new Listcell(excecao.getDestino().getCveparada());
        lc.setParent(lstm);
        
        lc = new Listcell(excecao.getDestino().getDescparada());
        lc.setParent(lstm);

        lstm.setAttribute("data", excecao);
    }
}
